API platform

このページは機械翻訳により提供されています。翻訳内容と英語版に相違がある場合は、英語版が優先されます。

API platform APIを使用すると、ユーザーはAPIエンドポイント、コレクション、クライアント、access profileなどのAPI Platformアセットをプログラムで作成および管理できます。

API platformエンドポイントでは、1秒あたり最大10リクエストが許可されます。

レート制限

API platformリソースには、次のレート制限があります:

タイプリソース制限
すべてすべてのAPI platformエンドポイント1分あたり60リクエスト

クイックリファレンス

タイプリソース説明
GET/api/api_collectionsAPIコレクションを一覧表示します。 このエンドポイントは、コレクションが属するプロジェクトのproject_idをレスポンスで返します。
POST/api/api_collections指定したプロジェクト内にAPIコレクションを作成します。
GET/api/api_endpointsコレクション内のAPIエンドポイントを一覧表示します。
PUT/api/api_endpoints/:api_endpoint_id/enableコレクション内のAPIエンドポイントを有効にします。
PUT/api/api_endpoints/:api_endpoint_id/disableコレクション内のAPIエンドポイントを無効にします。
GET/api/api_clientsすべてのAPIクライアントを一覧表示します。 今後の非推奨に備えるため、APIクライアントの一覧表示(v2)エンドポイントへ移行することをお勧めします。
GET/api/v2/api_clientsすべてのAPIクライアントを一覧表示します。 Workatoは、APIクライアントに関連付けられたプロジェクトのproject_idをレスポンスに含めます。
POST/api/api_clients指定したプロジェクト内に新しいAPIクライアントを作成します。 今後の非推奨に備えるため、APIクライアントの作成(v2)エンドポイントへ移行することをお勧めします。
POST/api/v2/api_clients指定したプロジェクト内に新しいAPIクライアントを作成します。
GET/api/v2/api_clients/:api_client_idIDでAPIクライアントの詳細を取得します。
PUT/api/v2/api_clients/:api_client_id指定したプロジェクト内の既存のAPIクライアントを更新します。
DELETE/api/v2/api_clients/:api_client_id既存のAPIクライアントを削除します。
GET/api/api_access_profilesAPIクライアントのaccess profileを一覧表示します。 今後の非推奨に備えるため、APIキーの一覧表示エンドポイントへ移行することをお勧めします。
GET/api/v2/api_clients/:api_client_id/api_keysAPIクライアントのAPI keyを一覧表示します。
POST/api/api_access_profilesAPIクライアントのaccess profileを作成します。 今後の非推奨に備えるため、APIキーの作成エンドポイントへ移行することをお勧めします。
POST/api/v2/api_clients/:api_client_id/api_keysAPIクライアントのAPI keyを作成します。
PUT/api/api_access_profiles/:api_access_profile_idAPIクライアントのaccess profileを更新します。 今後の非推奨に備えるため、APIキーの更新エンドポイントへ移行することをお勧めします。
PUT/api/v2/api_clients/:api_client_id/api_keys/:api_key_idAPIクライアントのAPI keyを更新します。
PUT/api/api_access_profiles/
:api_access_profile_id/enable
APIクライアントのaccess profileを有効化します。 今後の非推奨に備えるため、APIキーの有効化エンドポイントへ移行することをお勧めします。
PUT/api/v2/api_clients/:api_client_id/
api_keys/:api_key_id/enable
APIクライアントのAPI keyを有効化します。
PUT/api/api_access_profiles/:api_access_profile_id/disableAPIクライアントのaccess profileを無効化します。 今後の非推奨に備えるため、APIキーの無効化エンドポイントへ移行することをお勧めします。
PUT/api/v2/api_clients/:api_client_id/
api_keys/:api_key_id/disable
APIクライアントのAPI keyを無効化します。
PUT/api/api_access_profiles/:access_profile_id/refresh_secretaccess profileのトークンまたはシークレットを更新します。 今後の非推奨に備えるため、APIキーシークレットの更新エンドポイントへ移行することをお勧めします。
PUT/api/v2/api_clients/:api_client_id/
api_keys/:api_key_id/refresh_secret
API keyの認証トークンまたはOAuth 2.0クライアントシークレットを更新します。
DELETE/api/v2/api_clients/:api_client_id/api_keys/:api_key_id既存のAPI keyを削除します。
GET/api/v2/api_portalsワークスペース内のAPIクライアントに関連付けられているすべてのAPIポータルを一覧表示します。
GET/api/cert_bundlesすべてのCertificate bundlesを一覧表示します。
POST/api/cert_bundles新しいCertificate bundleを作成します。
PUT/api/cert_bundles/:certificate_bundle_idCertificate bundleを更新します。
DELETE/api/cert_bundles/:certificate_bundle_idCertificate bundleを削除します。
GET/api/cert_bundles/:certificate_bundle_id/downloadCertificate bundleのPEMファイルをダウンロードします。

APIコレクションの一覧表示

すべてのAPIコレクションを一覧表示します。 このエンドポイントは、コレクションが属するプロジェクトのproject_idをレスポンスで返します。

GET /api/api_collections

クエリパラメーター

名前タイプ説明
per_pageinteger1ページで返すAPIコレクションの数。 デフォルトは100です。 最大は100です。
pageinteger取得するAPIコレクションのページ番号。 デフォルトは1です。

レスポンス

json
[
    {
        "id": 1361,
        "name": "Quote to cash",
        "version": "1.0",
        "url": "https://api.peatql.io/quote-to-cash-v1",
        "api_spec_url": "https://www.workato.com/doc/service/quote-to-cash-v1/swagger?token=4cab5bdf2cebbe2b4ahjkc9ac175f60c",
        "created_at": "2020-06-15T22:20:15.327-07:00",
        "updated_at": "2020-06-15T22:20:15.327-07:00",
        "project_id": "523144"
    }
]

APIコレクションの作成

指定したプロジェクト内にAPIコレクションを作成します。

POST /api/api_collections

クエリパラメータ

名前タイプ説明
project_idstring
必須
特定のプロジェクトのID。 list projectsエンドポイントを使用して、プロジェクトIDのリストを取得します。

ペイロード

名前タイプ説明
namestring
必須
コレクションの名前

サンプルリクエスト

shell
curl  -X POST https://www.workato.com/api/api_collections?project_id=523144 \
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \
      -d '{
            "name": "Netsuite customers"
          }'

レスポンス

json
{
    "id": 1391,
    "name": "Netsuite customers",
    "version": "1.0",
    "url": "https://api.na.workato.com/abstergoi/netsuite-customers-v1",
    "api_spec_url": "https://www.workato.com/doc/service/netsuite-customers-v1/swagger?token=774513f8a712djkls90s7f5a3165eb96d",
    "created_at": "2020-07-31T08:24:31.439-07:00",
    "updated_at": "2020-07-31T08:24:31.439-07:00"
}

APIエンドポイントの一覧表示

すべてのAPIエンドポイントを一覧表示します。 特定のコレクション内のエンドポイントのリストを取得するには、api_collection_idを指定します。

GET /api/api_endpoints

クエリパラメーター

名前タイプ説明
api_collection_idstringAPIコレクションのID。 パラメータが指定されていない場合、すべてのAPIエンドポイントが返されます。
per_pageinteger1ページで返すAPIエンドポイントの数。 デフォルトは100です。 最大は100です。
pageinteger取得するAPIエンドポイントのページ番号。 デフォルトは1です。

サンプルリクエスト

shell
curl  -X GET 'https://www.workato.com/api/api_endpoints?api_collection_id=1391' \
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \

レスポンス

json
[
  {
      "id": 9903,
      "api_collection_id": 1391,
      "flow_id": 39999,
      "name": "salesforce search",
      "method": "GET",
      "url": "https://api.na.workato.com/abstergoi/netsuite-customers-v1/salesforce/search",
      "legacy_url": null,
      "base_path": "/abstergoi/netsuite-customers-v1/salesforce/search",
      "path": "salesforce/search",
      "active": false,
      "legacy": false,
      "created_at": "2020-08-05T05:59:55.991-07:00",
      "updated_at": "2020-08-05T05:59:55.991-07:00"
  }
]

APIエンドポイントの有効化

APIエンドポイントを有効にします。 APIエンドポイントを正常に有効にするには、関連付けられたレシピを開始する必要があります。

PUT /api/api_endpoints/:api_endpoint_id/enable

パスパラメーター

名前タイプ説明
api_endpoint_idstring
APIエンドポイントのID。

サンプルリクエスト

shell
curl  -X PUT https://www.workato.com/api/api_endpoints/1213/enable \
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \

APIエンドポイントの無効化

アクティブなAPIエンドポイントを無効にします。 クライアントはエンドポイントを呼び出せなくなります。

PUT /api/api_endpoints/:api_endpoint_id/disable

パスパラメーター

名前タイプ説明
api_endpoint_idstring
APIエンドポイントのID。

サンプルリクエスト

shell
curl  -X PUT https://www.workato.com/api/api_endpoints/1213/disable \
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \

APIクライアントの一覧表示

すべてのAPIクライアントを一覧表示します。 このエンドポイントは、APIクライアントが属するproject_idをレスポンスに含めます。

GET /api/api_clients

非推奨に関する注意

このエンドポイントは2025年12月1日に非推奨になる予定です。 サービスの中断を避けるため、この日付より前に新しいList API clients (v2)エンドポイントに移行してください。

レスポンス

json
[
  {
      "id": 1255,
      "name": "Automation Inc.",
      "created_at": "2020-07-31T03:44:22.435-07:00",
      "updated_at": "2020-07-31T03:44:22.435-07:00",
      "project_id" : "523144"
  },
  {
      "id": 1890,
      "name": "Umbrella Corporation",
      "created_at": "2020-07-31T03:44:22.435-07:00",
      "updated_at": "2020-07-31T03:44:22.435-07:00",
      "project_id": "423455"
  }
]

APIクライアントの一覧表示(v2)

すべてのAPIクライアントを一覧表示します。 このエンドポイントは、APIクライアントのproject_idをレスポンスに含めます。

GET /api/v2/api_clients

クエリパラメーター

名前タイプ説明
project_idstring
任意
特定のプロジェクトのID。 プロジェクトの一覧表示エンドポイントでプロジェクトIDのリストを取得します。
pageinteger
optional
ページ番号。 デフォルトは1です。
per_pageinteger
optional
ページサイズ。 デフォルトは100です。 最大ページサイズは100です。
cert_bundle_idsarray
optional
Certificate bundles IDでクライアントをフィルタリングします。 指定されたCertificate bundlesに関連付けられているクライアントのみを返します。

サンプルリクエスト

shell
curl -X GET https://www.workato.com/api/v2/api_clients \
     -H 'Authorization: Bearer <api_token>'

レスポンス

json
{
  "data": [
    {
      "id": 1,
      "name": "Test client",
      "description": "",
      "active_api_keys_count": 2,
      "total_api_keys_count": 2,
      "created_at": "2023-05-25T08:08:21.413-07:00",
      "updated_at": "2024-10-25T03:52:07.122-07:00",
      "logo": "https://s3-48296.alexv.awstf.workato.com/paperclip/api_customers/logos/000/000/001/small/psyduck.png?1729853526",
      "logo_2x": "https://s3-48296.alexv.awstf.workato.com/paperclip/api_customers/logos/000/000/001/medium/psyduck.png?1729853526",
      "is_legacy": true,
      "api_policies": [
        {
          "id": 2,
          "name": "Internal – Admins"
        }
      ],
      "api_collections": [
        {
          "id": 1,
          "name": "Echo collection"
        },
        {
          "id": 2,
          "name": "Proxy"
        },
        {
          "id": 4,
          "name": "Proxy to Alex's API collection"
        },
        {
          "id": 6,
          "name": "San Sanych"
        }
      ]
    }
  ],
  "count": 1,
  "page": 1,
  "per_page": 100
}

APIクライアントの作成

指定したプロジェクト内に新しいAPIクライアントを作成します。

POST /api/api_clients

非推奨に関する注意

このエンドポイントは2025年12月1日に非推奨になる予定です。 サービスを継続して利用できるようにするため、この日付までに新しいAPIクライアントの作成(v2)エンドポイントへ移行してください。

クエリパラメーター

名前タイプ説明
project_idstring
必須
特定のプロジェクトのID。 list projectsエンドポイントを使用して、プロジェクトIDのリストを取得します。

ペイロード

名前タイプ説明
namestring
必須
クライアントの名前。

サンプルリクエスト

shell
curl  -X POST https://www.workato.com/api/api_clients?project_id=523144 \
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \
      -d '{
            "name": "Automation Inc.",
          }'

レスポンス

json
{
    "id": 1255,
    "name": "Automation Inc.",
    "created_at": "2020-07-31T03:44:22.435-07:00",
    "updated_at": "2020-07-31T03:44:22.435-07:00"
}

APIクライアントの作成(v2)

指定したプロジェクト内に新しいAPIクライアントを作成します。

POST /api/v2/api_clients

ペイロード

名前タイプ説明
namestring
必須
クライアントの名前。
説明string
任意
クライアントの説明。
project_idinteger
optional
該当する場合、クライアントを作成するプロジェクトのID。
api_portal_idinteger
conditional
該当する場合、クライアントに割り当てるAPIポータルのID。 リクエストペイロードでidp_user_idまたはemailフィールドが指定されている場合に必須です。
idp_user_idstring
conditional
クライアントのWorkato IdentityユーザーID。 api_portal_idがアイデンティティポータルを参照する場合に必須です。
emailstring
conditional
クライアントのメールアドレス。 マジックリンクポータルにのみ適用されます。 新しいポータルはアイデンティティポータルであり、代わりにidp_user_idが必要です。
api_collection_idsarray
必須
クライアントに割り当てるAPIコレクションのID。
api_policy_idinteger
optional
適用するAPIポリシーのID。
auth_typestring
必須
リクエストを検証する認証メソッド。 サポートされているタイプには、tokenjwtoauth2oidcがあります。
jwt_methodstring
conditional
JWT署名メソッド。 auth_typejwtの場合は必須です。 サポートされているメソッドには、hmac(HMAC)とrsa(RSA)があります。
jwt_secretstring
conditional
HMAC共有シークレットまたはRSA公開鍵。 auth_typejwtの場合は必須です。
oidc_issuerstring
conditional
OIDC IDプロバイダーのDiscovery URL。 auth_typejwtまたはoidcの場合、これまたはoidc_jwks_uriを指定します。
oidc_jwks_uristring
conditional
OIDC IDプロバイダーのJWKS URL。 auth_typejwtまたはoidcの場合、これまたはoidc_issuerを指定します。
access_profile_claimstring
conditional
アクセスプロファイルを識別するために使用されるJWTクレームキー。 auth_typejwtまたはoidcの場合に適用されます。 詳細はこちら
required_claimsarray
conditional
強制するクレームのリスト。 auth_typejwtまたはoidcの場合に適用されます。
allowed_issuersarray
conditional
許可する発行者(issクレーム)のリスト。 issクレームがrequired_claimsで強制される場合、任意の発行者を許可するにはこれを空白のままにします。 auth_typejwtまたはoidcの場合に適用されます。
mtls_enabledboolean
optional
このクライアントで相互TLSが有効かどうか。
validation_formulastring
任意
クライアント証明書を検証するFormula。
cert_bundle_idsarray
optional
mTLSに使用されるCertificate bundles ID。

サンプルリクエスト

ターゲットポータルがアイデンティティポータルの場合は、idp_user_idフィールドを指定します:

shell
curl -X POST https://www.workato.com/api/v2/api_clients \
     -H 'Authorization: Bearer <api_token>' \
     -H 'Content-Type: application/json' \
     -d '{
            "name": "Test user Inc.",
            "description": "API client for Product Catalog",
            "api_portal_id": 2010,
            "auth_type": "token",
            "idp_user_id": "eshSUgjCGb4ZnF51FjEL3b",
            "mtls_enabled": false
        }'

ターゲットポータルでマジックリンク認証が使用されている場合は、emailフィールドを指定します:

shell
curl -X POST https://www.workato.com/api/v2/api_clients \
     -H 'Authorization: Bearer <api_token>' \
     -H 'Content-Type: application/json' \
     -d '{
            "name": "Automation Inc.",
            "description": "API client for Product Catalog",
            "api_collection_ids": [6883],
            "api_portal_id": 37,
            "auth_type": "token",
            "api_policy_id": 1,
            "email": "[email protected]",
            "mtls_enabled": true,
            "validation_formula": "OU=Workato",
            "cert_bundle_ids": [3]
        }'

レスポンス

json
{
    "data": {
        "id": 1204662,
        "name": "Test user Inc.",
        "description": "API client for Product Catalog",
        "active_api_keys_count": 0,
        "total_api_keys_count": 0,
        "mtls_enabled": false,
        "created_at": "2026-06-22T23:21:18.873+08:00",
        "updated_at": "2026-06-22T23:21:18.873+08:00",
        "is_legacy": false,
        "auth_type": "token",
        "idp_user_id": "eshSUgjCGb4ZnF51FjEL3b",
        "api_collections": [],
        "api_keys": []
    }
}

APIクライアントの取得

IDでAPIクライアントの詳細を取得します。

GET /api/v2/api_clients/:api_client_id

パスパラメーター

名前タイプ説明
api_client_idstring
必須
取得するAPIクライアントのID。

サンプルリクエスト

shell
curl -X GET https://www.workato.com/api/v2/api_clients/42116 \
     -H 'Authorization: Bearer <api_token>'

レスポンス

json
{
    "data": {
        "id": 42116,
        "name": "Automation Inc.",
        "description": "API client for Product Catalog",
        "active_api_keys_count": 0,
        "total_api_keys_count": 0,
        "created_at": "2025-02-12T08:36:51.748+05:30",
        "updated_at": "2025-02-12T08:36:51.748+05:30",
        "is_legacy": false,
        "email": "[email protected]",
        "auth_type": "token",
        "api_collections": [
            {
                "id": 6883,
                "name": "Product Catalog"
            }
        ],
        "api_keys": []
    }
}

APIクライアントの更新

指定したプロジェクト内の既存のAPIクライアントを更新します。

PUT /api/v2/api_clients/:api_client_id

パスパラメーター

名前タイプ説明
api_client_idstring
必須
更新するAPIクライアントのID。

ペイロード

名前タイプ説明
namestring
必須
更新されたクライアント名。
説明string
任意
更新されたクライアントの説明。
project_idinteger
optional
クライアントに関連付けられた更新後のプロジェクトID。
emailstring
任意
クライアントの更新後のメールアドレス。
api_collection_idsarray
必須
クライアントに割り当てられた更新後のAPIコレクションのリスト。
api_policy_idinteger
required
更新後のAPIポリシーID。
jwt_methodstring
conditional
更新後のJWT署名メソッド。 auth_typejwtの場合は必須です。 サポートされているメソッドには、hmac(HMAC)とrsa(RSA)があります。
jwt_secretstring
conditional
更新後のHMAC共有シークレットまたはRSA公開鍵。 auth_typejwtの場合は必須です。
oidc_issuerstring
conditional
OIDC IDプロバイダーの更新後のDiscovery URL。 auth_typejwtまたはoidcの場合、これまたはoidc_jwks_uriを指定します。
oidc_jwks_uristring
conditional
OIDC IDプロバイダーの更新後のJWKS URL。 auth_typejwtまたはoidcの場合、これまたはoidc_issuerを指定します。
access_profile_claimstring
conditional
アクセスプロファイルを識別するために使用される更新後のJWTクレームキー。 auth_typejwtまたはoidcの場合に適用されます。 詳細はこちら
required_claimsarray
conditional
強制する更新後のクレームのリスト。 auth_typejwtまたはoidcの場合に適用されます。
allowed_issuersarray
conditional
許可する更新後の発行者(issクレーム)のリスト。 issクレームがrequired_claimsで強制される場合、任意の発行者を許可するにはこれを空白のままにします。 auth_typejwtまたはoidcの場合に適用されます。
mtls_enabledboolean
optional
このクライアントで相互TLSが有効かどうか。
validation_formulastring
任意
クライアント証明書を検証する更新後のFormula。
cert_bundle_idsarray
optional
mTLSに使用される更新後のCertificate bundles ID。

サンプルリクエスト

shell
curl -X PUT https://www.workato.com/api/v2/api_clients/42116 \
     -H 'Authorization: Bearer <api_token>' \
     -H 'Content-Type: application/json' \
     -d '{
           "name": "Mustard Inc.",
           "description": "API client for Automation workflows"
         }'

レスポンス

json
{
    "data": {
        "id": 42116,
        "name": "Mustard Inc.",
        "description": "API client for Automation workflows",
        "active_api_keys_count": 0,
        "total_api_keys_count": 0,
        "created_at": "2025-02-12T08:36:51.748+05:30",
        "updated_at": "2025-02-12T08:40:27.607+05:30",
        "is_legacy": false,
        "email": "[email protected]",
        "auth_type": "token",
        "mtls_enabled": true,
        "validation_formula": "CN=api-client",
        "cert_bundle_ids": [2],
        "api_collections": [
            {
                "id": 6883,
                "name": "1"
            }
        ],
        "api_keys": []
    }
}

APIクライアントの削除

既存のAPIクライアントを削除します。

DELETE /api/v2/api_clients/:api_client_id

サンプルリクエスト

shell
curl -X DELETE 'https://www.workato.com/api/v2/api_clients/42116' \
     -H 'Authorization: Bearer <api_token>'

レスポンス

json
{
    "success": true
}

アクセスプロファイルの一覧表示

APIクライアントのすべてのaccess profileを一覧表示します。 APIクライアントIDを指定しない場合、このエンドポイントはすべてのAPIクライアントのaccess profileを返します。

GET /api/api_access_profiles

非推奨に関する注意

このエンドポイントは2025年12月1日に非推奨になる予定です。 サービスを継続して利用できるようにするため、この日付までに新しいAPIキーの一覧表示エンドポイントへ移行してください。

クエリパラメータ

名前タイプ説明
api_client_idstring特定のAPIクライアントに属するaccess profileを取得するには、APIクライアントIDを指定します。
per_pageinteger1ページで返されるaccess profileの数。 デフォルトは100です。 最大は100です。
pageinteger返すaccess profileのページを選択します。 開始ページは1です。 デフォルトは1です。

サンプルリクエスト

shell
curl  -X GET 'https://www.workato.com/api/api_access_profiles?api_client_id=933084' \
      -H 'Authorization: Bearer <api_token>'

レスポンス

json
[
  {
    "id": 942738,
    "name": "Sales API Profile",
    "api_client_id": 933804,
    "api_collection_ids": [
      791245,
      785457,
      785404
    ],
    "active": true,
    "auth_type": "token",
    "created_at": "2023-11-07T19:39:04.294-05:00",
    "updated_at": "2023-11-07T19:39:04.294-05:00"
  },
  {
    "id": 942709,
    "name": "Purchases API Profile",
    "api_client_id": 933804,
    "api_collection_ids": [
      726374,
      743721,
      776384
    ],
    "active": true,
    "auth_type": "token",
    "created_at": "2023-11-07T18:48:19.908-05:00",
    "updated_at": "2023-11-07T18:48:19.908-05:00"
  }
]

APIキーの一覧表示

APIクライアントのすべてのAPI keyを取得します。 特定のクライアントのキーをフィルタリングするには、api_client_idパラメータを指定します。 api_client_idパラメータを指定しない場合、エンドポイントはすべてのクライアントのAPI keyを返します。

GET /api/v2/api_clients/:api_client_id/api_keys

パスパラメーター

名前タイプ説明
api_client_idstring
任意
特定のAPIクライアントのAPI keyをフィルタリングします。

サンプルリクエスト

shell
curl  -X GET 'https://www.workato.com/api/v2/api_clients/933084/api_keys' \
      -H 'Authorization: Bearer <api_token>'

レスポンス

json
{
    "data": [
        {
            "id": 17,
            "name": "Heat",
            "auth_type": "token",
            "ip_allow_list": [],
            "ip_deny_list": [
                "192.168.0.1"
            ],
            "active": true,
            "active_since": "2025-02-04T18:57:35-08:00",
            "auth_token": "dda2"
        }
    ],
    "count": 1,
    "page": 1,
    "per_page": 100
}

access profileの作成

APIクライアントのaccess profileを作成します。 このエンドポイントを使用するには、access profileに割り当てるAPIコレクションがワークスペースに少なくとも1つ含まれている必要があります。

非推奨に関する注意

このエンドポイントは2025年12月1日に非推奨になる予定です。 サービスを継続して利用できるようにするため、この日付までに新しいAPIキーの作成エンドポイントへ移行してください。

返されるレスポンスは、選択した認証タイプ(Auth tokenJSON web token、またはOAuth 2.0)によって異なります。

  • Auth token認可では、secretレスポンスで認証トークンが返されます
  • JWTトークンには2つの署名メソッド、HMACとRSAがあります。 選択したメソッドに応じて、それぞれのシークレットまたは公開鍵をペイロードに指定する必要があります
  • OAuth 2.0認可では、oauth_client_idoauth_client secretでクライアントIDとシークレットが返されます
POST /api/api_access_profiles

クエリパラメーター

名前タイプ説明
api_client_idstring
APIクライアントのID。

ペイロード

名前タイプ説明
namestring
必須
アクセスプロファイルの名前
api_collection_idsarray
必須
アクセスプロファイルに追加するコレクションのID
activeboolean
必須
アクセスプロファイルが無効か有効かを示します。 アクセスプロファイルが無効なクライアントは、APIを呼び出せません。
auth_typestring
必須
リクエストを検証する認証メソッド。 使用可能なタイプは、tokenjwtoauth2oidcです。
jwt_methodstringJWT署名メソッド。 _auth_type_がjwtの場合、これは必須です。 使用可能なメソッドは、HMACおよびRSAに対応するhmacrsaです。
ip_allow_listarray許可リストに登録するIPアドレスのリスト
jwt_secretstringメソッドに基づいて、HMAC共有シークレットまたはRSA公開鍵を指定します。
oidc_issuerstring
conditional
IDプロバイダーまたはOIDCサービスのディスカバリーURL。 これと_oidc_jwks_uri_のどちらか一方のみを指定し、両方は指定しないでください。
_auth_type_がjwtまたはoidcの場合にのみ適用されます。
oidc_jwks_uristring
conditional
IDプロバイダーまたはOIDCサービスのJWKS URL。 これと_oidc_issuer_のどちらか一方のみを指定し、両方は指定しないでください。
_auth_type_がjwtまたはoidcの場合にのみ適用されます。
access_profile_claimstring
conditional
このaccess profileを識別するためにカスタムクレームを使用する場合は、ここにJWTクレームキーを指定します。 詳細はこちら
_auth_type_がjwtまたはoidcの場合にのみ適用されます。
required_claimsarray
conditional
適用するクレームのリストを指定します。_auth_type_がjwtまたはoidcの場合にのみ適用されます。
allowed_issuersarray
conditional
許可する発行者(JWTクレームのiss値)のリストを指定します。 _required_claims_でissクレームが適用される場合、任意のiss値を必須にするには、これを空白のままにします。 _auth_type_がjwtまたはoidcの場合にのみ適用されます。

サンプルリクエスト(Auth token)

shell
curl  -X POST 'https://www.workato.com/api/api_access_profiles?api_client_id=1255'\
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \
      -d '{
  	          "name": "Sales team",
  	          "api_collection_ids": [1391, 1388],
              "auth_type": "token",
  	          "active": true,
              "ip_allow_list": ["192.168.0.1", "192.168.0.0/20"]
           }'

サンプルリクエスト(JWT RSA)

shell
curl  -X POST 'https://www.workato.com/api/api_access_profiles?api_client_id=1255'\
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \
      -d '{
	           "name": "HMAC API",
	           "api_collection_ids": [1391, 1388],
	           "auth_type": "jwt",
	           "jwt_method": "rsa",
	           "jwt_secret": "-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA4ngjihh5hXDRe0c1qPNc\nrF7RIoAG/iNZXruTspeX8e2auMBXTwVI0sLgwUo26lMXCRAvC004JWKugzh1UHXY\nsjmtwZFRznqhb/ojJDi785+zbmVNLWmbIB/ChBUyckBSExsmR0nOpQhiW0przr2J\ncQIDAQAB\n-----END PUBLIC KEY-----",
	           "active": true
           }'

レスポンス(Auth token)

json
{
    "id": 26985,
    "name": "New test",
    "api_client_id": 1255,
    "api_collection_ids": [
        1395
    ],
    "active": true,
    "auth_type": "token",
    "jwt_method": null,
    "jwt_secret": null,
    "oauth_client_id": null,
    "oauth_client_secret": null,
    "secret": "e3a1ce1d46c4hjk8kfj26781c6ed3073312451ee0990035bf8a4bc90c2a2",
    "created_at": "2020-08-12T08:03:05.492-07:00",
    "updated_at": "2020-08-12T08:03:05.492-07:00"
}

APIキーの作成

APIクライアントの新しいAPI keyを作成します。

POST /api/v2/api_clients/:api_client_id/api_keys

パスパラメーター

名前タイプ説明
api_client_idstring
必須
API keyを作成するAPIクライアントのIDを指定します。

ペイロード

名前タイプ説明
namestring
必須
APIキーの名前。
activeboolean
必須
APIキーが有効か無効かを示します。 無効なキーはAPIを呼び出せません。
ip_allow_listarray
optional
許可リストに追加するIPアドレスのリスト。
ip_deny_listarray
optional
リクエストを拒否するIPアドレスのリスト。

サンプルリクエスト

shell
curl  -X POST 'https://www.workato.com/api/v2/api_clients/933084/api_keys' \
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \
      -d '{
            "name": "Automation Inc.",
            "active": true,
            "ip_allow_list": ["8.8.8.8/24"],
            "ip_deny_list": ["192.168.0.0/16"]
          }'

レスポンス

json
{
    "data": {
        "id": 37326,
        "name": "Automation Inc.",
        "auth_type": "token",
        "ip_allow_list": ["8.8.8.8/24"],
        "ip_deny_list": ["192.168.0.0/16"],
        "active": true,
        "active_since": "2025-02-12T08:41:44+05:30",
        "auth_token": "72b378def0c1d83e6a015e654a744c380655565a68c591cf9f3598d0d14bdb5f"
    }
}

access profileの更新

APIクライアントのaccess profileを更新します。

非推奨に関する注意

このエンドポイントは2025年12月1日に非推奨になる予定です。 サービスを継続して利用できるようにするため、この日付までに新しいAPIキーの更新エンドポイントへ移行してください。

返されるレスポンスは、選択した認証タイプ(Auth tokenJSON web token、またはOAuth 2.0)によって異なります。

  • Auth token認可では、secretレスポンスで認証トークンが返されます
  • JWTトークンには2つの署名メソッド、HMACとRSAがあります。 選択したメソッドに応じて、それぞれのシークレットまたは公開鍵をペイロードに指定する必要があります
  • OAuth 2.0認可では、oauth_client_idoauth_client secretでクライアントIDとシークレットが返されます
PUT /api/api_access_profiles/:api_access_profile_id

パスパラメーター

名前タイプ説明
api_access_profile_idstring
必須
APIアクセスポリシーID。

ペイロード

名前タイプ説明
namestring
必須
access profileの既存または更新後の名前
api_collection_idsarray
必須
access profileに設定する既存または更新後のAPIコレクションID
activeboolean
必須
アクセスプロファイルが無効か有効かを示します。 アクセスプロファイルが無効なクライアントは、APIを呼び出せません。
auth_typestring
必須
リクエストを検証する認証メソッド。 使用可能なタイプは、tokenjwtoauth2oidcです。
ip_allow_listarray許可リストに登録するIPアドレスのリスト
jwt_methodstringJWT署名メソッド。 _auth_type_がjwtの場合、これは必須です。 使用可能なメソッドは、HMACおよびRSAに対応するhmacrsaです。
jwt_secretstringメソッドに基づいて、HMAC共有シークレットまたはRSA公開鍵を指定します。
oidc_issuerstring
conditional
IDプロバイダーまたはOIDCサービスのディスカバリーURL。 これと_oidc_jwks_uri_のどちらか一方のみを指定し、両方は指定しないでください。
_auth_type_がjwtまたはoidcの場合にのみ適用されます。
oidc_jwks_uristring
conditional
IDプロバイダーまたはOIDCサービスのJWKS URL。 これと_oidc_issuer_のどちらか一方のみを指定し、両方は指定しないでください。
_auth_type_がjwtまたはoidcの場合にのみ適用されます。
access_profile_claimstring
conditional
このaccess profileを識別するためにカスタムクレームを使用する場合は、ここにJWTクレームキーを指定します。 詳細はこちら
_auth_type_がjwtまたはoidcの場合にのみ適用されます。
required_claimsarray
conditional
適用するクレームのリストを指定します。_auth_type_がjwtまたはoidcの場合にのみ適用されます。
allowed_issuersarray
conditional
許可する発行者(JWTクレームのiss値)のリストを指定します。 _required_claims_でissクレームが適用される場合、任意のiss値を必須にするには、これを空白のままにします。 _auth_type_がjwtまたはoidcの場合にのみ適用されます。

サンプルリクエスト(Auth token)

shell
curl  -X PUT 'https://www.workato.com/api/api_access_profiles/27894'\
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \
      -d '{
  	          "name": "Sales team",
  	          "api_collection_ids": [1391, 1388],
              "auth_type": "token",
  	          "active": true,
              "ip_allow_list": ["192.168.0.1", "192.168.0.0/20"]
           }'

APIキーの更新

APIクライアントの既存のAPI keyを更新します。

PUT /api/v2/api_clients/:api_client_id/api_keys/:api_key_id

パスパラメーター

名前タイプ説明
api_client_idstring
必須
API keyに関連付けられているAPIクライアントのID。
api_key_idstring
必須
更新するAPIキーのID。

ペイロード

名前タイプ説明
namestring
任意
更新後のAPIキー名。
ip_allow_listarray
optional
リクエストを許可する更新後のIPアドレスリスト。
ip_deny_listarray
optional
リクエストを拒否する更新後のIPアドレスのリスト。

サンプルリクエスト

shell
curl  -X PUT 'https://www.workato.com/api/v2/api_clients/933084/api_keys/2454' \
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \
      -d '{
              "name": "Mustard Inc.",
              "ip_allow_list": ["8.8.8.8/24"],
              "ip_deny_list": ["192.168.0.0/16"]
          }'

レスポンス

json
{
    "data": {
        "id": 37326,
        "name": "Mustard Inc.",
        "auth_type": "token",
        "ip_allow_list": ["8.8.8.8/24"],
        "ip_deny_list": ["192.168.0.0/16"],
        "active": false,
        "active_since": "2025-02-12T08:41:44+05:30",
        "auth_token": "db5f"
    }
}

access profileの有効化

APIクライアントに属するaccess profileを有効化します。 access profileを有効化すると、有効化されたprofileでAPI呼び出しを受け付けられるようになります。

非推奨に関する注意

このエンドポイントは2025年12月1日に非推奨になる予定です。 サービスを継続して利用できるようにするため、この日付までに新しいAPIキーの有効化エンドポイントへ移行してください。

この呼び出しは、Unauthorized/Badリクエストに対してsuccessまたはエラーメッセージを返します。

PUT /api/api_access_profiles/:api_access_profile_id/enable

パスパラメーター

名前タイプ説明
api_access_profile_idstring
必須
アクセスプロファイルのID。

サンプルリクエスト(Auth token)

shell
curl  -X PUT https://www.workato.com/api/api_access_profiles/1213/enable \
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \

APIキーの有効化

APIクライアントのAPI keyを有効化します。

PUT /api/v2/api_clients/:api_client_id/api_keys/:api_key_id/enable

パスパラメーター

名前タイプ説明
api_client_idstring
必須
API keyを所有するAPIクライアントのID。
api_key_idstring
必須
有効化するAPIキーのID。

サンプルリクエスト

shell
curl  -X PUT 'https://www.workato.com/api/v2/api_clients/933084/api_keys/2454/enable' \
      -H 'Authorization: Bearer <api_token>'

レスポンス

json
{
    "success": true
}

access profileの無効化

APIクライアントに属するaccess profileを無効化します。 アクセスプロファイルを無効にすると、そのアクセスプロファイルでAPI呼び出しを受け付けられなくなります。

この呼び出しは、Unauthorized/Badリクエストに対してsuccessまたはエラーメッセージを返します。

PUT /api/api_access_profiles/:api_access_profile_id/disable

非推奨に関する注意

このエンドポイントは2025年12月1日に非推奨になる予定です。 サービスを継続して利用できるようにするため、この日付までに新しいAPIキーの無効化エンドポイントへ移行してください。

パスパラメーター

名前タイプ説明
api_access_profile_idstring
必須
アクセスプロファイルのID。

サンプルリクエスト(Auth token)

shell
curl  -X PUT https://www.workato.com/api/api_access_profiles/1213/disable \
      -H 'Authorization: Bearer <api_token>' \
      -H 'Content-Type: application/json' \

APIキーの無効化

APIクライアントのAPI keyを無効化します。

PUT /api/v2/api_clients/:api_client_id/api_keys/:api_key_id/disable

パスパラメーター

名前タイプ説明
api_client_idstring
必須
API keyを所有するAPIクライアントのID。
api_key_idstring
必須
無効化するAPIキーのID。

サンプルリクエスト

shell
curl  -X PUT 'https://www.workato.com/api/v2/api_clients/933084/api_keys/2454/disable' \
      -H 'Authorization: Bearer <api_token>'

レスポンス

json
{
    "success": true
}

トークン/シークレットの更新

認証トークンまたはOAuth 2.0クライアントシークレットを更新します。 アクセスプロファイルの認可タイプがJWTの場合、このエンドポイントは失敗します。

非推奨に関する注意

このエンドポイントは2025年12月1日に非推奨になる予定です。 サービスを継続して利用できるようにするため、この日付までに新しいAPIキーシークレットの更新エンドポイントへ移行してください。

返されるレスポンスは、アクセスプロファイルの認可タイプ(Auth tokenまたはOAuth 2.0)によって異なります。

  • Auth token認可では、secretレスポンスで新しい認証トークンが返されます
  • OAuth 2.0認可では、oauth_client_idoauth_client secretで新しいクライアントIDとシークレットが返されます
PUT /api/api_access_profiles/:access_profile_id/refresh_secret

パスパラメーター

名前タイプ説明
access_profile_idstring
必須
APIアクセスポリシーID

レスポンス(Auth token)

json
{
    "id": 26962,
    "name": "Sales team",
    "api_client_id": 1255,
    "api_collection_ids": [
        1391
    ],
    "active": true,
    "auth_type": "token",
    "jwt_method": null,
    "jwt_secret": null,
    "oauth_client_id": null,
    "oauth_client_secret": null,
    "secret": "xxxxxxxxxxx",
    "created_at": "2020-07-31T09:10:03.310-07:00",
    "updated_at": "2020-08-05T06:08:46.290-07:00"
}

APIキーシークレットの更新

API keyの認証トークンまたはOAuth 2.0クライアントシークレットを更新します。

PUT /api/v2/api_clients/:api_client_id/api_keys/:api_key_id/refresh_secret

パスパラメーター

名前タイプ説明
api_client_idstring
必須
API keyを所有するAPIクライアントのID。
api_key_idstring
必須
更新するAPIキーのID。

サンプルリクエスト

shell
curl  -X PUT 'https://www.workato.com/api/v2/api_clients/933084/api_keys/3455/refresh_secret' \
      -H 'Authorization: Bearer <api_token>'

レスポンス

json
{
    "data": {
        "id": 37326,
        "name": "Mustard Inc.",
        "auth_type": "token",
        "ip_allow_list": ["8.8.8.8/24"],
        "ip_deny_list": ["192.168.0.0/16"],
        "active": true,
        "active_since": "2025-02-12T08:44:37+05:30",
        "auth_token": "572d581d91860a7c6372e9390699e26ac5917ac2520e1a917fba43b56d11edbe"
    }
}

APIキーの削除

APIクライアントのAPI keyを削除します。

DELETE /api/v2/api_clients/:api_client_id/api_keys/:api_key_id

パスパラメータ

名前タイプ説明
api_client_idstring
必須
API keyに関連付けられているAPIクライアントのID。
api_key_idstring
必須
削除するAPI keyのID。

サンプルリクエスト

shell
curl -X DELETE 'https://www.workato.com/api/v2/api_clients/933084/api_keys/3455' \
     -H 'Authorization: Bearer <api_token>'

レスポンス

json
{
    "success": true
}

APIポータルの一覧表示

ワークスペース内のAPIクライアントに関連付けられているすべてのAPIポータルを一覧表示します。

GET /api/v2/api_portals

サンプルリクエスト

shell
curl  -X GET 'https://www.workato.com/api/v2/api_portals' \
      -H 'Authorization: Bearer <api_token>'

レスポンス

json
{
    "data": [
        {
            "id": 37,
            "user_id": 14487,
            "name": "IDEA Lifestyle",
            "subdomain": "idea",
            "brand_color": "#371093",
            "api_collection_ids": [
                6882
            ],
            "created_at": "2024-12-13T08:46:37.125+05:30",
            "updated_at": "2025-02-10T14:10:21.440+05:30",
            "logo": "https://workato-staging-assets.s3.amazonaws.com/api_portal/models/portals/logos/000/000/037/small/007.png?1734059797",
            "logo_2x": "https://workato-staging-assets.s3.amazonaws.com/api_portal/models/portals/logos/000/000/037/medium/007.png?1734059797"
        }
    ],
    "count": 1,
    "page": 1,
    "per_page": 100
}

Certificate bundlesの一覧表示

すべてのCertificate bundlesを一覧表示します。

GET /api/cert_bundles

サンプルリクエスト

shell
curl -X GET https://www.workato.com/api/cert_bundles \
     -H 'Authorization: Bearer <api_token>'

サンプルレスポンス

json
{
  "data": [
    {
      "id": 1,
      "name": "cert1",
      "cert_count": 3,
      "leaf_ca_cn": "intermediate_ca_two",
      "expires_at": "2025-04-10T18:49:20.000-07:00",
      "updated_at": "2025-03-27T02:03:56.045-07:00",
      "client_count": 1
    }
  ],
  "count": 1,
  "page": 1,
  "per_page": 20
}

Certificate bundlesの作成

新しいCertificate bundleをアップロードします。

POST /api/cert_bundles

ペイロード

名前タイプ説明
cert_bundle_pemfile
required
PEM形式の証明書ファイル。
namestring
任意
バンドルの名前。 デフォルトではアップロードされたファイル名になります。

サンプルリクエスト

shell
curl -X POST https://www.workato.com/api/cert_bundles \
     -H 'Authorization: Bearer <api_token>' \
     -F "[email protected]" \
     -F "name=Production cert"

Certificate bundlesの更新

IDでCertificate bundleを更新します。

PUT /api/cert_bundles/:certificate_bundle_id

パスパラメーター

名前タイプ説明
certificate_bundle_idstring
必須
更新するCertificate bundlesのID。

ペイロード

名前タイプ説明
cert_bundle_pemfile
optional
PEM形式の証明書ファイル。
namestring
任意
バンドルの新しい名前。

サンプルリクエスト

shell
curl -X PUT https://www.workato.com/api/cert_bundles/1 \
     -H 'Authorization: Bearer <api_token>' \
     -F "cert_bundle_pem=@updated_bundle.pem" \
     -F "name=Updated cert name"

Certificate bundlesの削除

IDでCertificate bundleを削除します。

DELETE /api/cert_bundles/:certificate_bundle_id

パスパラメーター

名前タイプ説明
certificate_bundle_idstring
必須
削除するCertificate bundlesのID。

サンプルリクエスト

shell
curl -X DELETE https://www.workato.com/api/cert_bundles/1 \
     -H 'Authorization: Bearer <api_token>'

サンプルレスポンス

json
{
  "success": true
}

Certificate bundlesのダウンロード

IDでCertificate bundleをダウンロードします。

GET /api/cert_bundles/:certificate_bundle_id/download

パスパラメーター

名前タイプ説明
certificate_bundle_idstring
必須
ダウンロードするCertificate bundlesのID。

サンプルリクエスト

shell
curl -X GET 'https://www.workato.com/api/cert_bundles/1/download' \
     -H 'Authorization: Bearer <api_token>' \
     -o cert_bundle.pem

Last updated: